package cn.muchinfo.rma.business.future.adapter;

public class ChannelOrderReqData {

    private long AccountID;
    private int BuyOrSell;
    private int ChannelBuildType;
    private int ChannelOperateType;
    private int ChannelOrderSrc;
    private String ClientOrderTime;
    private String ClientSerialNo;
    private int ClientType;
    private int CloseType;
    private int GoodsID;
    private long LoginID;
    private int MarketID;
    private long OperatorID;
    private double OrderPrice;
    private int HedgeFlag;
    private long OrderQty;
    private int PriceMode;
    private long RelatedID;
    private String ServiceTime;
    private int ValidType;
    private String Validtime;
    private int TimeValidType;
    private long CloseTodayQty;
    private String Ip;

    public String getIp() {
        return Ip;
    }

    public void setIp(String ip) {
        Ip = ip;
    }

    public long getCloseTodayQty() {
        return CloseTodayQty;
    }

    public void setCloseTodayQty(long closeTodayQty) {
        CloseTodayQty = closeTodayQty;
    }

    public long getAccountID() {
        return AccountID;
    }

    public void setAccountID(long accountID) {
        AccountID = accountID;
    }

    public int getBuyOrSell() {
        return BuyOrSell;
    }

    public void setBuyOrSell(int buyOrSell) {
        BuyOrSell = buyOrSell;
    }

    public int getChannelBuildType() {
        return ChannelBuildType;
    }

    public void setChannelBuildType(int channelBuildType) {
        ChannelBuildType = channelBuildType;
    }

    public int getChannelOperateType() {
        return ChannelOperateType;
    }

    public void setChannelOperateType(int channelOperateType) {
        ChannelOperateType = channelOperateType;
    }

    public int getChannelOrderSrc() {
        return ChannelOrderSrc;
    }

    public void setChannelOrderSrc(int channelOrderSrc) {
        ChannelOrderSrc = channelOrderSrc;
    }

    public String getClientOrderTime() {
        return ClientOrderTime;
    }

    public void setClientOrderTime(String clientOrderTime) {
        ClientOrderTime = clientOrderTime;
    }

    public String getClientSerialNo() {
        return ClientSerialNo;
    }

    public void setClientSerialNo(String clientSerialNo) {
        ClientSerialNo = clientSerialNo;
    }

    public int getClientType() {
        return ClientType;
    }

    public void setClientType(int clientType) {
        ClientType = clientType;
    }

    public int getCloseType() {
        return CloseType;
    }

    public void setCloseType(int closeType) {
        CloseType = closeType;
    }

    public int getGoodsID() {
        return GoodsID;
    }

    public void setGoodsID(int goodsID) {
        GoodsID = goodsID;
    }

    public long getLoginID() {
        return LoginID;
    }

    public void setLoginID(long loginID) {
        LoginID = loginID;
    }

    public long getOperatorID() {
        return OperatorID;
    }

    public void setOperatorID(long operatorID) {
        OperatorID = operatorID;
    }

    public double getOrderPrice() {
        return OrderPrice;
    }

    public void setOrderPrice(double orderPrice) {
        OrderPrice = orderPrice;
    }

    public int getHedgeFlag() {
        return HedgeFlag;
    }

    public void setHedgeFlag(int hedgeFlag) {
        HedgeFlag = hedgeFlag;
    }

    public long getOrderQty() {
        return OrderQty;
    }

    public void setOrderQty(long orderQty) {
        OrderQty = orderQty;
    }

    public int getPriceMode() {
        return PriceMode;
    }

    public void setPriceMode(int priceMode) {
        PriceMode = priceMode;
    }

    public long getRelatedID() {
        return RelatedID;
    }

    public void setRelatedID(long relatedID) {
        RelatedID = relatedID;
    }

    public String getServiceTime() {
        return ServiceTime;
    }

    public void setServiceTime(String serviceTime) {
        ServiceTime = serviceTime;
    }

    public int getValidType() {
        return ValidType;
    }

    public void setValidType(int validType) {
        ValidType = validType;
    }

    public String getValidtime() {
        return Validtime;
    }

    public void setValidtime(String validtime) {
        Validtime = validtime;
    }

    public int getTimeValidType() {
        return TimeValidType;
    }

    public void setTimeValidType(int timeValidType) {
        TimeValidType = timeValidType;
    }

    public int getMarketID() {
        return MarketID;
    }

    public void setMarketID(int marketID) {
        MarketID = marketID;
    }
}
